## ksh93 93u%2B20120801

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = ksh93

# Variables just for get-orig-source
SRC_VERSION := 93u+20120628
DL_VERSION = 2012-06-28
SRC_DIR = $(PACKAGE)-$(SRC_VERSION)
TARBALL = $(SRC_DIR).tar.gz

ARCH = $(shell bin/package)
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755

DH_VERBOSE=1

# hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CCFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CCFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
export CCFLAGS
export LDFLAGS

# reproducibility
LC_ALL=C
LANG=C
TZ=UTC
export LC_ALL
export LANG
export TZ

%:
	dh $@

override_dh_auto_configure:
	@echo "CCFLAGS=$(CCFLAGS)"
	@echo "LDFLAGS=$(LDFLAGS)"

override_dh_auto_build:
	bin/package make strip=0

override_dh_auto_install:
	$(INSTALL_PROGRAM) arch/$(ARCH)/bin/ksh debian/ksh93/bin/ksh93
	$(INSTALL_PROGRAM) arch/$(ARCH)/bin/shcomp debian/ksh93/usr/bin/shcomp93
	$(INSTALL_FILE) arch/$(ARCH)/man/man1/sh.1 debian/ksh93/usr/share/man/man1/ksh93.1
	$(INSTALL_FILE) arch/$(ARCH)/fun/* debian/ksh93/usr/share/ksh/functions
	$(INSTALL_FILE) debian/shcomp.1 debian/ksh93/usr/share/man/man1/shcomp93.1
	$(INSTALL_FILE) -D debian/binfmt_spec debian/ksh93/usr/share/ksh/ksh93.binfmt
	$(INSTALL_FILE) -D debian/example.kshrc debian/ksh93/etc/skel/.kshrc
	$(INSTALL_FILE) -D src/cmd/ksh93/PROMO.mm debian/ksh93/usr/share/doc/ksh93/PROMO
	$(INSTALL_FILE) -D src/cmd/ksh93/builtins.mm debian/ksh93/usr/share/doc/ksh93/builtins

override_dh_installchangelogs:
	dh_installchangelogs src/cmd/ksh93/RELEASE

clean:
	dh_testdir
	dh_clean
	for i in ignore silent package mamprobe ; do \
		sed -i -e '/^#.\{70\}#/ d'  bin/$$i ; \
	done
	rm -rf arch bin/*.old
