=== debian/control ===
Source: ksh93
Section: shells
Priority: optional
Maintainer: Anuradha Weeraman <aweeraman@gmail.com>
Homepage: http://www.kornshell.com/
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/debian/ksh.git -b ksh93
Vcs-Browser: https://salsa.debian.org/debian/ksh/tree/ksh93

Package: ksh93
Architecture: any
Breaks: ksh (<< 2020.0.0-5~)
Replaces: ksh
Depends: ${shlibs:Depends}, ${misc:Depends}, binfmt-support
Description: Real, AT&T version of the Korn shell
 Ksh is a UNIX command interpreter (shell) that is intended for both
 interactive and shell script use. Its command language is a superset of
 the sh(1) shell language.
 .
 The 1993 version adds a number of new, mostly scripting related,
 features over the 1988 version that is typically distributed with
 commercial UNIX variants. For example, it has lexical scoping, compound
 variables, associative arrays, named references and floating point
 math.
 .
 The shcomp tool can be used to compile ksh scripts into a binary format.
